import 'package:byod/models/address_user.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import '../api/api.dart';

class AddressUser extends Cubit<Address> {
  AddressUser()
      : super(
          Address(
            id: '',
            label: '',
            address: '',
            locationDetail: '',
            lat: '',
            long: '',
            recepientName: '',
            recepientPhone: '',
            notes: '',
          ),
        );
  void getAddressUser() async {
    var result = await Api.getAddress();

    emit(result);
  }
}
